API Reference
Print Templates
Invoice and label print templates.
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/print-templates API KeyGet print-templates
Query parameters
| type PrintTemplateType | — |
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/print-templates" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/print-templates API KeyCreate print-templates
Request body
application/json
{
"name": "string",
"templateType": "invoice",
"fieldVisibility": {},
"isDefault": false
}| name string | — |
| templateType PrintTemplateType | — |
| fieldVisibility object | — |
| isDefault boolean | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/print-templates" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"templateType": "invoice",
"fieldVisibility": {},
"isDefault": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/print-templates/{id} API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/print-templates/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/print-templates/{id} API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"templateType": "invoice",
"fieldVisibility": {},
"isDefault": false
}| name string | — |
| templateType PrintTemplateType | — |
| fieldVisibility object | — |
| isDefault boolean | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/print-templates/{id}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"templateType": "invoice",
"fieldVisibility": {},
"isDefault": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/print-templates/{id} API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/print-templates/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu